> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1adminentitlements operations



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml post /v1/admin/entitlements/{entitlementID}/operations
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/admin/entitlements/{entitlementID}/operations:
    post:
      tags:
        - fulfillment
      operationId: enqueueFulfillmentOperation
      parameters:
        - $ref: '#/components/parameters/EntitlementID'
        - $ref: '#/components/parameters/IdempotencyKey'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FulfillmentOperationInput'
      responses:
        '202':
          description: Durable idempotent fulfillment operation queued
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FulfillmentOperation'
        '422':
          $ref: '#/components/responses/Problem'
      security:
        - operatorToken: []
components:
  parameters:
    EntitlementID:
      in: path
      name: entitlementID
      required: true
      schema:
        type: string
        format: uuid
    IdempotencyKey:
      in: header
      name: Idempotency-Key
      required: true
      schema:
        type: string
        minLength: 8
        maxLength: 128
  schemas:
    FulfillmentOperationInput:
      type: object
      required:
        - operation
      properties:
        operation:
          type: string
          enum:
            - create
            - extend
            - enable
            - disable
            - reset_traffic
            - set_limits
            - set_squads
            - reconcile
        correlationId:
          type: string
        effectiveAt:
          type: string
          format: date-time
          nullable: true
        endsAt:
          type: string
          format: date-time
          nullable: true
        trafficAllowanceBytes:
          type: integer
          format: int64
          minimum: 0
          nullable: true
        deviceLimit:
          type: integer
          minimum: 0
          nullable: true
        squadIDs:
          type: array
          items:
            type: string
            format: uuid
    FulfillmentOperation:
      type: object
      properties:
        id:
          type: string
          format: uuid
        entitlementId:
          type: string
          format: uuid
        operation:
          type: string
        status:
          type: string
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
  securitySchemes:
    operatorToken:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.